xpra icon
Bug tracker and wiki

Version 9 (modified by Antoine Martin, 8 months ago) (diff)

--

https://xpra.org/icons/package.png

Distribution Packages

And why you should generally not use them.

A great explanation of the Debian / Ubuntu packaging mess can be found here: Matthew Garrett: There's more than one way to exploit the commons.

Debian's hand waving about backports is rightfully ignored here.

The list of currently supported versions can be found here: wiki/Versions.


This table was generated on the 2020-01-17 when 3.0.5 was the latest LTS version available.

DistributionVariantVersion ShippedKnown Issues
FedoraFedora 30 and 313.0.3OK: 3.0.5 in testing, you may want to add rpmfusion's xpra-codecs-freeworld package to get all the codecs - only one problem: their packaging unmercifully conflict with the packages from xpra.org
UbuntuXenial aka 16.040.15.8over 4 years without any fixes, known bugs and security vulnerabilities - do not use, very dangerous, missing components, etc
UbuntuBionic aka 18.042.1.32.5 years without any fixes, numerous serious issues, dangerous
UbuntuEoan aka 19.102.4.3buggy, 14 months without any fixes
DebianBuster2.4.3buggy, 14 months without any fixes
DebianStretch0.17.63.5 years out of date, known bugs and security vulnerabilities - do not use, very dangerous, missing components, etc
GentooStable 2.2.2Dire: 2 years out of date!
GentooTesting 3.0.2Missing some important fixes, dubious patches applied
Arch 3.0.5Great: fully up to date

To see the fixes that are missing, follow the "Commit log" links for each branch on the "Release Notes" section of the version / fixes page.


This table was generated on the 2017-03-18 when 1.0.4 was the latest LTS version available. (2.0 released the day before)

DistributionVariantVersion ShippedKnown Issues
FedoraFedora 24 and 251.0missing critical updates, you may want to add rpmfusion's xpra-codecs-freeworld package to get all the codecs
UbuntuTrusty aka 14.04http://packages.ubuntu.com/trusty/xpra (link is now 404) 0.12.3not a single fix applied in 3 years, dangerous
UbuntuXenial aka 16.040.15.816 months without any fixes, based on a dead branch
DebianJessie0.14.10Awful: 2.5 years and 27 stable updates missing!
Version no longer supported, includes known bugs, crashes and serious security vulnerabilities - dangerous!
DebianJessie-backportshttps://packages.debian.org/jessie-backports/xpra (link is now 404) 0.17.6]Backports an EOL version!?
DebianStretch[https://packages.debian.org/stretch/xpra 0.17.6EOL version, known bugs and security vulnerabilities - do not use
GentooStable 1.0.3Not too bad: 1 minor update behind
GentooTesting 1.0.4Good: up to date!
Arch https://aur.archlinux.org/packages/xpra-winswitch (link is now 404) 2.0Great: most up to date

Here's an even older version of this table, last updated 2015-12-28, when 0.15.10 was the latest version available. (0.14.33 for LTS branch).

DistributionVariantVersion ShippedKnown Issues
FedoraFedora 21 and 220.15.9Up to date (0.15.10 in "testing" queue), but you need rpmfusion's xpra-codecs-freeworld package to get all the codecs
UbuntuPrecise aka 12.04http://packages.ubuntu.com/precise/xpra (link is now 404) 0.0.7.36Far too many to list - not a single bug fix applied in 4 years!
UbuntuTrusty aka 13.04[http://packages.ubuntu.com/trusty/xpra (link is now 404) 0.12.3Far too many to list - not a single bug fix applied in 2 years, avoid
UbuntuVivid aka 15.04[http://packages.ubuntu.com/vivid/xpra (link is now 404) 0.14.10Awful: 23 stable updates missing! version no longer supported, known bugs including crashes and vulnerabilities - avoid!
DebianSqueeze Backportshttps://packages.debian.org/squeeze-backports/xpra (link is now 404) 0.3.11Fundamentally broken - do not use
DebianWheezyhttps://packages.debian.org/wheezy/xpra} (link is now 404) 0.3.11Fundamentally broken - do not use
DebianWheezy-backportshttps://packages.debian.org/wheezy-backports/xpra (link is now 404) 0.14.10Awful: 23 stable updates missing! version no longer supported, known bugs including crashes and vulnerabilities - avoid!
DebianJessiehttps://packages.debian.org/jessie/xpra (link is now 404) 0.14.10Awful: 23 stable updates missing! version no longer supported, known bugs including crashes and vulnerabilities - avoid!
DebianJessie-backportshttps://packages.debian.org/jessie-backports/xpra (link is now 404) 0.16.3Not too bad.
GentooStable 0.15.6Not too bad: 4 minor updates behind
GentooTesting 0.15.9Good: only one minor update behind
Arch 0.15.9Good: only one minor update behind

We used to try to keep track of the missing fixes, but this is far too much work nowadays.